| Chapter 7. The Dialogs |

# The Connection Editor Dialog (Edit Connections)

Figure 7-2. The Connection Editor dialog

This dialog is shown when you use the connection tool to connect two GUI elements together and have "drawn" a connection with the mouse. You can also open this dialog by clicking Edit in the connection viewer (see the section called The Connection Viewer Dialog (Edit Connections)). See the section called Adding Functionality To The Push Buttons in Chapter 3 for an introduction to how to use this dialog.

Signals

  This list box lists all the signals of the outgoing GUI element; i.e., the element where you started to drag the mouse. Click on one of the signals to select it; this is the signal part of the connection.

Slots

  This list box lists all the slots of the incoming GUI element; i.e., the element over which you released the mouse button. Click on one of the slots to make a connection between the outgoing and the incoming GUI elements. Be careful: By just clicking on a slot, you make the connection— clicking does not just select the slot. However, you can always remove a connection later.

Connections

  This list box shows all connections that already exist between the outgoing and the incoming GUI element. For each connection, the outgoing GUI elements, the signal name, the incoming GUI element, and the slot name are listed.

Connect

  Click on this button to make a connection between the selected signal and the selected slot. Since clicking on a slot already makes the connection, you only need this button if you operate the dialog from the keyboard.

Edit Slots

  When you select an already existing connection, this button is enabled and lets you edit the connection.

Disconnect

  Removes the connection that is currently selected in the Connections list box.

The Dialogs |  | The Connection Viewer Dialog (Edit Connections)